# -*- coding: utf-8 -*-
from odoo import models, api
from lxml.builder import E


class BaseModel(models.AbstractModel):
    _inherit = 'base'

    @api.model
    def _get_default_activity_view(self):
        """ Generates an empty activity view.

        :returns: a activity view as an lxml document
        :rtype: etree._Element
        """
        field = E.field(name=self._rec_name_fallback())
        activity_box = E.div(field, {'t-name': "activity-box"})
        templates = E.templates(activity_box)
        return E.activity(templates, string=self._description)
